Bug 17220 - Improve clarity when placing a hold by changing button text from "Place hold" to "Confirm hold"
Summary: Improve clarity when placing a hold by changing button text from "Place hold"...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-29 20:41 UTC by Lee Jamison
Modified: 2017-12-07 22:17 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Changes button text of opac-reserve.pl (1.04 KB, patch)
2016-08-29 20:43 UTC, Lee Jamison
Details | Diff | Splinter Review
Change hold confirmation string from 'Place hold' to 'Confirm hold' (1.14 KB, patch)
2016-08-30 09:43 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17220: Change hold confirmation string from 'Place hold' to 'Confirm hold' (1.10 KB, patch)
2016-09-07 10:33 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17220: Change hold confirmation string from 'Place hold' to 'Confirm hold' (1.17 KB, patch)
2016-09-08 16:13 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lee Jamison 2016-08-29 20:41:47 UTC
When placing a hold from the OPAC, patrons may be confused about clicking "Place hold" twice during the reserve process (once from their search results list/bib record detail then the second time when confirming the hold(s) to be placed via the "Place hold" button). To improve clarity, changing the button text from "Place hold" to "Confirm hold" can reduce patron confusion as it eliminates duplication of text.
Comment 1 Lee Jamison 2016-08-29 20:43:22 UTC Comment hidden (obsolete)
Comment 2 Lee Jamison 2016-08-29 20:46:36 UTC
(In reply to Lee Jamison from comment #1)
> Created attachment 54995 [details] [review] [review]
> Changes button text of opac-reserve.pl

To test:
1. Login to the OPAC.
2. Place a hold on an item.
3. On the opac-reserve.pl screen make note of the button text "Place hold".
4. Cancel the hold and return to the homepage.
5. Apply the patch.
6. Place a hold on an item.
7. On the opac-reserve.pl screen make note of the button text which should now be "Confirm hold".
Comment 3 Nick Clemens 2016-08-30 09:43:32 UTC Comment hidden (obsolete)
Comment 4 Nick Clemens 2016-08-30 09:44:43 UTC
Patch works as expected, tagging Owen and waiting for QA opinion on change of wording.
Comment 5 Jonathan Druart 2016-09-07 10:33:23 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2016-09-07 10:33:54 UTC
Just added the bug# in the commit msg and obsoleted the patches.
Comment 7 Owen Leonard 2016-09-08 13:57:59 UTC
Looks good to me!
Comment 8 Jonathan Druart 2016-09-08 16:13:38 UTC
Created attachment 55360 [details] [review]
Bug 17220: Change hold confirmation string from 'Place hold' to 'Confirm hold'

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Kyle M Hall 2016-09-09 11:51:47 UTC
Pushed to master for 16.11, thanks Lee!
Comment 10 Frédéric Demians 2016-09-13 06:54:30 UTC
Pushed in 16.05. Will be in 16.05.04.
Comment 11 Julian Maurice 2016-09-16 08:41:51 UTC
Pushed to 3.22.x, will be in 3.22.11